Bug 31303 - use same default-ACL for $HOME on UCC and UCS
use same default-ACL for $HOME on UCC and UCS
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Client management
unspecified
Other Linux
: P5 enhancement
: UCC 2.0
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-07 15:00 CEST by Ingo Steuwer
Modified: 2014-06-12 09:20 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Steuwer univentionstaff 2013-05-07 15:00:50 CEST
customer-report:

$HOME on a UCC is created with other default-ACLs than a $HOME on UCS. If UCS is the NFS-file-server for /home on UCC, the initial filesystem ACLs differ, depending on the first file server access (users who logged in with CIFS/Windows first get UCS default ACLs).
Comment 1 Felix Botner univentionstaff 2014-05-08 11:55:14 CEST
The umask for pam_mkhomedir.so (/etc/pam.d/common-session) has been changed to 0066 (as in UCS).
Comment 2 Moritz Muehlenhoff univentionstaff 2014-05-12 11:38:49 CEST
The correct umask is now applied.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-06-12 09:20:04 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".